%define upstream_name    Debug-ShowStuff
%define upstream_version 1.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    A collection of handy debugging routines for displaying
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Debug/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(String::Util)
BuildRequires: perl(Tie::IxHash)
BuildArch: noarch


%description
'Debug::ShowStuff' grew dynamically from my needs in debugging code. I
found myself doing the same tasks over and over... displaying the keys and
values in a hash, displaying the elements in an array, displaying the
output of STDERR in a web page, etc. 'Debug::ShowStuff' began as two or
three of my favorite routines and grew as I added to that collection.
Finally I decided to publish these tools in the hope that other Perl
hackers will find them useful.

'Debug::ShowStuff' is intended for debugging, not for production work. I
would discourage anyone from using 'Debug::ShowStuff' in
ready-for-primetime code. 'Debug::ShowStuff' is only for quick-n-dirty
displays of variable values in order to debug your code.

These functions display values the way I personally like them displayed.
Your preferences may be different. I encourage you to modify
'Debug::ShowStuff' to suit your own needs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.160.0-10.mga10
+ Revision: 2198150
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.160.0-9.mga9
+ Revision: 1802990
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.160.0-8.mga8
+ Revision: 1493952
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.160.0-7.mga7
+ Revision: 1267162
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.160.0-6.mga6
+ Revision: 1025483
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.160.0-5.mga6
+ Revision: 938684
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.160.0-4.mga5
+ Revision: 746414
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.160.0-3.mga5
+ Revision: 684295
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.160.0-2.mga4
+ Revision: 537050
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.160.0-1.mga4
+ Revision: 486208
- update to 1.16

* Sun Jan 13 2013 umeabot <umeabot> 1.130.0-2.mga3
+ Revision: 365671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.130.0-1.mga1
+ Revision: 26270
- no meta.yml
- mageia rebuild
- imported package perl-Debug-ShowStuff

